## nextcloud-desktop 4.0.4-20251216.090813.fbff567a0f-1.0~jammy1+11.0trisquel4

=== debian/changelog ===
nextcloud-desktop (4.0.4-20251216.090813.fbff567a0f-1.0~jammy1+11.0trisquel4) aramo-backports; urgency=medium

  * Backported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 16 Dec 2025 09:50:45 +0000

nextcloud-desktop (4.0.4-20251216.090813.fbff567a0f-1.0~jammy1) jammy; urgency=medium

  * Merge tag 'v4.0.4' into HEAD

 -- Drone User <drone@noemail.invalid>  Tue, 16 Dec 2025 09:08:16 +0000

nextcloud-desktop (2.7.0-20251216.070718.d11352c986-1.0~jammy1) jammy; urgency=medium

  * Updated the Qt6 patch

 -- István Váradi <ivaradi@varadiistvan.hu>  Tue, 16 Dec 2025 08:07:18 +0100

nextcloud-desktop (4.0.4-20251215.134400.fbff567a0f-1.0~jammy1) jammy; urgency=medium

  * chore: prepare for 4.0.4 release

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 15 Dec 2025 14:44:00 +0100

nextcloud-desktop (4.0.3-20251215.133615.caa8753af1-1.0~jammy1) jammy; urgency=medium

  * Merge pull request #9250 from nextcloud/backport/9243/stable-4.0

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 15 Dec 2025 14:36:15 +0100

nextcloud-desktop (4.0.3-20251215.113038.fb9016532e-1.0~jammy1) jammy; urgency=medium

  * fix(logs): reduce log level for detected file system changes

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 15 Dec 2025 12:30:38 +0100

nextcloud-desktop (4.0.3-20251215.103531.28457f97d5-1.0~jammy1) jammy; urgency=medium

  * fix(logs): only print changed path that we do not ignore

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 15 Dec 2025 11:35:31 +0100

nextcloud-desktop (4.0.3-20251215.102540.926a1574dd-1.0~jammy1) jammy; urgency=medium

  * fix(folderWatcher): do not print warnings for deleted files

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 15 Dec 2025 11:25:40 +0100

nextcloud-desktop (4.0.3-20251215.090317.7fa13707ee-1.0~jammy1) jammy; urgency=medium

  * fix(vfs/windows): avoid calling handleForPath without an existing file

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 15 Dec 2025 10:03:17 +0100

nextcloud-desktop (4.0.3-20251215.084226.f402dd1e0c-1.0~jammy1) jammy; urgency=medium

  * fix(logs): reduce verbosity when deleting folders on vfs Windows

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 15 Dec 2025 09:42:26 +0100

nextcloud-desktop (4.0.3-20251212.170314.856358a246-1.0~jammy1) jammy; urgency=medium

  * fix(logs): reduce verbosity when deleting a folder content

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 12 Dec 2025 18:03:14 +0100

nextcloud-desktop (4.0.3-20251215.130937.86eaf0d18d-1.0~jammy1) jammy; urgency=medium

  * Merge pull request #9249 from nextcloud/backport/9247/stable-4.0

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 15 Dec 2025 14:09:37 +0100

nextcloud-desktop (4.0.3-20251210.143209.afa2e405a1-1.0~jammy1) jammy; urgency=medium

  * fix: ensure redirect targets are trusted

 -- Jyrki Gadinger <nilsding@nilsding.org>  Wed, 10 Dec 2025 15:32:09 +0100

nextcloud-desktop (4.0.3-20251210.143048.49fed8f679-1.0~jammy1) jammy; urgency=medium

  * refactor: move custom attribute to base class

 -- Jyrki Gadinger <nilsding@nilsding.org>  Wed, 10 Dec 2025 15:30:48 +0100

nextcloud-desktop (4.0.3-20251210.142212.f8fc795d68-1.0~jammy1) jammy; urgency=medium

  * fix(accessmanager): manually handle redirects

 -- Jyrki Gadinger <nilsding@nilsding.org>  Wed, 10 Dec 2025 15:22:12 +0100

nextcloud-desktop (4.0.3-20251215.114637.26b9aa94ea-1.0~jammy1) jammy; urgency=medium

  * Merge pull request #9246 from nextcloud/backport/9245/stable-4.0

 -- Jyrki Gadinger <nilsding@nilsding.org>  Mon, 15 Dec 2025 12:46:37 +0100

nextcloud-desktop (4.0.3-20251215.094819.d8bcb111f3-1.0~jammy1) jammy; urgency=medium

  * chore: remove unused build scripts

 -- Jyrki Gadinger <nilsding@nilsding.org>  Mon, 15 Dec 2025 10:48:19 +0100

nextcloud-desktop (4.0.3-20251215.025106.f7c6bafaf1-1.0~jammy1) jammy; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Mon, 15 Dec 2025 02:51:06 +0000

nextcloud-desktop (4.0.3-20251214.024515.38832f7658-1.0~jammy1) jammy; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sun, 14 Dec 2025 02:45:15 +0000

nextcloud-desktop (4.0.3-20251213.024151.1ec2f0329b-1.0~jammy1) jammy; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sat, 13 Dec 2025 02:41:51 +0000

nextcloud-desktop (4.0.3-20251212.024446.20b1fce77f-1.0~jammy1) jammy; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Fri, 12 Dec 2025 02:44:46 +0000

nextcloud-desktop (4.0.3-20251211.213153.db7b8c92d6-1.0~jammy1) jammy; urgency=medium

  * Merge pull request #9232 from nextcloud/backport/9226/stable-4.0

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 11 Dec 2025 22:31:53 +0100

nextcloud-desktop (4.0.3-20251211.095420.afe8284a75-1.0~jammy1) jammy; urgency=medium

  * fix(creds): use user friendly auth errors.

 -- Camila Ayres <hello@camilasan.com>  Thu, 11 Dec 2025 10:54:20 +0100

nextcloud-desktop (4.0.3-20251211.095248.56d8fe4ee0-1.0~jammy1) jammy; urgency=medium

  * fix(abstractnetworkjob): make 503 error string more generic.

 -- Camila Ayres <hello@camilasan.com>  Thu, 11 Dec 2025 10:52:48 +0100

nextcloud-desktop (4.0.3-20251211.064631.7e3fa9148c-1.0~jammy1) jammy; urgency=medium

  * fix(wizard): Reset error label on status update

 -- Rello <Rello@users.noreply.github.com>  Thu, 11 Dec 2025 13:46:31 +0700

nextcloud-desktop (4.0.3-20251211.064503.242ec5c5fb-1.0~jammy1) jammy; urgency=medium

  * fix(creds): Handle server maintenance error in flow2auth

 -- Rello <Rello@users.noreply.github.com>  Thu, 11 Dec 2025 13:45:03 +0700

nextcloud-desktop (4.0.3-20251211.133955.b20ba388fa-1.0~jammy1) jammy; urgency=medium

  * Merge pull request #9228 from nextcloud/backport/9222/stable-4.0



## nextcloud-desktop 4.0.4-20251216.090813.fbff567a0f-1.0~noble1trisquel4

=== src/libsync/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2017 Nextcloud GmbH and Nextcloud contributors
# SPDX-FileCopyrightText: 2014 ownCloud GmbH
# SPDX-License-Identifier: GPL-2.0-or-later
project(libsync)
find_package(KF6Archive)
include(DefinePlatformDefaults)

set(CMAKE_AUTOMOC TRUE)

if ( APPLE )
    list(APPEND OS_SPECIFIC_LINK_LIBRARIES
         /System/Library/Frameworks/CoreServices.framework
         /System/Library/Frameworks/Foundation.framework
         /System/Library/Frameworks/AppKit.framework
    )
endif()

if (WIN32)
  list(APPEND OS_SPECIFIC_LINK_LIBRARIES
    Crypt32
  )
endif()

set(libsync_SRCS
    account.h
    account.cpp
    pushnotifications.h
    pushnotifications.cpp
    wordlist.h
    wordlist.cpp
    bandwidthmanager.h
    bandwidthmanager.cpp
    capabilities.h
    capabilities.cpp
    clientproxy.h
    clientproxy.cpp
    clientstatusreporting.h
    clientstatusreporting.cpp
    clientstatusreportingcommon.h
    clientstatusreportingcommon.cpp
    clientstatusreportingdatabase.h
    clientstatusreportingdatabase.cpp
    clientstatusreportingnetwork.h
    clientstatusreportingnetwork.cpp
    clientstatusreportingrecord.h
    cookiejar.h
    cookiejar.cpp
    discovery.h
    discovery.cpp
    discoveryphase.h
    discoveryphase.cpp
    encryptfolderjob.h
    encryptfolderjob.cpp
    encryptedfoldermetadatahandler.h
    encryptedfoldermetadatahandler.cpp
    filesystem.h
    filesystem.cpp
    helpers.cpp
    httplogger.h
    httplogger.cpp
    updatechannel.h
    updatechannel.cpp
    logger.h
    logger.cpp
    accessmanager.h
    accessmanager.cpp
    configfile.h
    configfile.cpp
    abstractnetworkjob.h
    abstractnetworkjob.cpp
    networkjobs.h
    networkjobs.cpp
    iconjob.h
    iconjob.cpp
    owncloudpropagator.h
    owncloudpropagator.cpp
    nextcloudtheme.h
    nextcloudtheme.cpp
    basepropagateremotedeleteencrypted.h
    basepropagateremotedeleteencrypted.cpp
    deletejob.h
    deletejob.cpp
    progressdispatcher.h
    progressdispatcher.cpp
    propagatorjobs.h
    propagatorjobs.cpp
    propagatedownload.h
    propagatedownload.cpp
    propagateupload.h
    propagateupload.cpp
    propagateuploadv1.cpp
    propagateuploadng.cpp
    bulkpropagatorjob.h
    bulkpropagatorjob.cpp
    bulkpropagatordownloadjob.h
    bulkpropagatordownloadjob.cpp
    putmultifilejob.h
    putmultifilejob.cpp
    propagateremotedelete.h
    propagateremotedelete.cpp
    propagateremotedeleteencrypted.h
    propagateremotedeleteencrypted.cpp
    propagateremotedeleteencryptedrootfolder.h
    propagateremotedeleteencryptedrootfolder.cpp
    propagateremotemove.h
    propagateremotemove.cpp
    propagateremotemkdir.h
    propagateremotemkdir.cpp
    propagateuploadencrypted.h
    propagateuploadencrypted.cpp
    propagatedownloadencrypted.h
    propagatedownloadencrypted.cpp
    syncengine.h
    syncengine.cpp
    syncfileitem.h
    syncfileitem.cpp
    syncfilestatustracker.h
    syncfilestatustracker.cpp
    localdiscoverytracker.h
    localdiscoverytracker.cpp
    syncresult.h
    syncresult.cpp
    syncoptions.h
    syncoptions.cpp
    theme.h
    theme.cpp
    updatee2eefoldermetadatajob.h
    updatee2eefoldermetadatajob.cpp
    updatemigratede2eemetadatajob.h
    updatemigratede2eemetadatajob.cpp
    updatee2eefolderusersmetadatajob.h
    updatee2eefolderusersmetadatajob.cpp
    clientsideencryption.h
    clientsideencryption.cpp
    clientsideencryptionjobs.h
    clientsideencryptionjobs.cpp
    clientsideencryptionprimitives.h
    clientsideencryptionprimitives.cpp
    clientsideencryptiontokenselector.h
    clientsideencryptiontokenselector.cpp
    datetimeprovider.h
    datetimeprovider.cpp
    rootencryptedfolderinfo.h
    rootencryptedfolderinfo.cpp
    foldermetadata.h
    foldermetadata.cpp
    ocsuserstatusconnector.h
    ocsuserstatusconnector.cpp
    rootencryptedfolderinfo.cpp
    rootencryptedfolderinfo.h
    userstatusconnector.h
    userstatusconnector.cpp
    ocsprofileconnector.h
    ocsprofileconnector.cpp
    lockfilejobs.h
    lockfilejobs.cpp
    creds/dummycredentials.h
    creds/dummycredentials.cpp
    creds/abstractcredentials.h
    creds/abstractcredentials.cpp
    creds/credentialscommon.h
    creds/credentialscommon.cpp
    creds/keychainchunk.h
    creds/keychainchunk.cpp
    caseclashconflictsolver.h
    caseclashconflictsolver.cpp
    kfcompat.h
    kfcompat.cpp
)

if (WIN32)
    # to fix warnings from ntstatus.h
    add_definitions(-DUMDF_USING_NTSTATUS)
endif()

if(TOKEN_AUTH_ONLY)
    set (libsync_SRCS
        ${libsync_SRCS}
        creds/tokencredentials.h
        creds/tokencredentials.cpp)
else()
    set (libsync_SRCS
        ${libsync_SRCS}
        creds/httpcredentials.h
        creds/httpcredentials.cpp)
endif()

# These headers are installed for libowncloudsync to be used by 3rd party apps
set(owncloudsync_HEADERS
    account.h
    syncengine.h
    configfile.h
    networkjobs.h
    progressdispatcher.h
    syncfileitem.h
    syncresult.h
)

set(creds_HEADERS
    creds/abstractcredentials.h
    creds/httpcredentials.h
)

IF (NOT APPLE)
    INSTALL(
        FILES ${owncloudsync_HEADERS}
	DESTINATION ${INCLUDE_INSTALL_DIR}/nextcloudsync/mirall
    )
    INSTALL(
        FILES ${creds_HEADERS}
	DESTINATION ${INCLUDE_INSTALL_DIR}/nextcloudsync/creds
    )
ENDIF(NOT APPLE)

find_package(Qt${QT_MAJOR_VERSION} REQUIRED COMPONENTS WebSockets Xml Sql Gui Svg Widgets)

add_library(nextcloudsync SHARED ${libsync_SRCS})
add_library(Nextcloud::sync ALIAS nextcloudsync)

target_link_libraries(nextcloudsync
  PUBLIC
  Nextcloud::csync
  OpenSSL::Crypto
  OpenSSL::SSL
  PkgConfig::OPENSC-LIBP11
  ${OS_SPECIFIC_LINK_LIBRARIES}
  Qt::Core
  Qt::Network
  Qt::WebSockets
  Qt::Xml
  Qt::Sql
  Qt::Gui
  Qt::Svg
  Qt::Widgets

  Qt::Core5Compat
)

if (KF6Archive_FOUND)
   target_link_libraries(nextcloudsync PUBLIC  KF6::Archive)
   add_definitions(-DHAVE_KARCHIVE)
endif()

target_compile_features(nextcloudsync
    PRIVATE
        cxx_std_17
)

target_compile_definitions(nextcloudsync PRIVATE OPENSSL_SUPPRESS_DEPRECATED)

if (NOT TOKEN_AUTH_ONLY)
    find_package(Qt${QT_MAJOR_VERSION} COMPONENTS REQUIRED Widgets Svg)
    target_link_libraries(nextcloudsync PUBLIC Qt::Widgets Qt::Svg Qt${QT_MAJOR_VERSION}Keychain::Qt${QT_MAJOR_VERSION}Keychain)
endif()

if(Inotify_FOUND)
    target_include_directories(nextcloudsync PRIVATE ${Inotify_INCLUDE_DIRS})
    target_link_libraries(nextcloudsync PUBLIC ${Inotify_LIBRARIES})
endif()

GENERATE_EXPORT_HEADER( nextcloudsync
	BASE_NAME nextcloudsync
	EXPORT_MACRO_NAME OWNCLOUDSYNC_EXPORT
        EXPORT_FILE_NAME owncloudlib.h
	STATIC_DEFINE OWNCLOUD_BUILT_AS_STATIC
)

target_include_directories(nextcloudsync PUBLIC ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

set_target_properties(
  nextcloudsync
    PROPERTIES
      VERSION
        ${MIRALL_VERSION}
      SOVERSION
        ${MIRALL_SOVERSION}
      RUNTIME_OUTPUT_DIRECTORY
        ${BIN_OUTPUT_DIRECTORY}
      LIBRARY_OUTPUT_NAME
        ${APPLICATION_EXECUTABLE}sync
      RUNTIME_OUTPUT_NAME
        ${APPLICATION_EXECUTABLE}sync
      ARCHIVE_OUTPUT_NAME
        ${APPLICATION_EXECUTABLE}sync
)

if(NOT BUILD_OWNCLOUD_OSX_BUNDLE)
    install(TARGETS nextcloudsync
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    )
else()
    install(TARGETS nextcloudsync DESTINATION ${OWNCLOUD_OSX_BUNDLE}/Contents/MacOS)
endif()

if (WIN32)
    install(FILES $<TARGET_PDB_FILE:nextcloudsync> DESTINATION bin OPTIONAL)
endif()

add_subdirectory(vfs)

=== debian/changelog ===
nextcloud-desktop (4.0.4-20251216.090813.fbff567a0f-1.0~noble1trisquel4) ecne-backports; urgency=medium

  * Backported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 16 Dec 2025 09:50:49 +0000

nextcloud-desktop (4.0.4-20251216.090813.fbff567a0f-1.0~noble1) noble; urgency=medium

  * Merge tag 'v4.0.4' into HEAD

 -- Drone User <drone@noemail.invalid>  Tue, 16 Dec 2025 09:08:26 +0000

nextcloud-desktop (2.7.0-20251216.070718.9e4b407d52-1.0~noble1) noble; urgency=medium

  * Updated the Qt6 patch

 -- István Váradi <ivaradi@varadiistvan.hu>  Tue, 16 Dec 2025 08:07:18 +0100

nextcloud-desktop (4.0.4-20251215.134400.fbff567a0f-1.0~noble1) noble; urgency=medium

  * chore: prepare for 4.0.4 release

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 15 Dec 2025 14:44:00 +0100

nextcloud-desktop (4.0.3-20251215.133615.caa8753af1-1.0~noble1) noble; urgency=medium

  * Merge pull request #9250 from nextcloud/backport/9243/stable-4.0

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 15 Dec 2025 14:36:15 +0100

nextcloud-desktop (4.0.3-20251215.113038.fb9016532e-1.0~noble1) noble; urgency=medium

  * fix(logs): reduce log level for detected file system changes

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 15 Dec 2025 12:30:38 +0100

nextcloud-desktop (4.0.3-20251215.103531.28457f97d5-1.0~noble1) noble; urgency=medium

  * fix(logs): only print changed path that we do not ignore

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 15 Dec 2025 11:35:31 +0100

nextcloud-desktop (4.0.3-20251215.102540.926a1574dd-1.0~noble1) noble; urgency=medium

  * fix(folderWatcher): do not print warnings for deleted files

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 15 Dec 2025 11:25:40 +0100

nextcloud-desktop (4.0.3-20251215.090317.7fa13707ee-1.0~noble1) noble; urgency=medium

  * fix(vfs/windows): avoid calling handleForPath without an existing file

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 15 Dec 2025 10:03:17 +0100

nextcloud-desktop (4.0.3-20251215.084226.f402dd1e0c-1.0~noble1) noble; urgency=medium

  * fix(logs): reduce verbosity when deleting folders on vfs Windows

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 15 Dec 2025 09:42:26 +0100

nextcloud-desktop (4.0.3-20251212.170314.856358a246-1.0~noble1) noble; urgency=medium

  * fix(logs): reduce verbosity when deleting a folder content

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 12 Dec 2025 18:03:14 +0100

nextcloud-desktop (4.0.3-20251215.130937.86eaf0d18d-1.0~noble1) noble; urgency=medium

  * Merge pull request #9249 from nextcloud/backport/9247/stable-4.0

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Mon, 15 Dec 2025 14:09:37 +0100

nextcloud-desktop (4.0.3-20251210.143209.afa2e405a1-1.0~noble1) noble; urgency=medium

  * fix: ensure redirect targets are trusted

 -- Jyrki Gadinger <nilsding@nilsding.org>  Wed, 10 Dec 2025 15:32:09 +0100

nextcloud-desktop (4.0.3-20251210.143048.49fed8f679-1.0~noble1) noble; urgency=medium

  * refactor: move custom attribute to base class

 -- Jyrki Gadinger <nilsding@nilsding.org>  Wed, 10 Dec 2025 15:30:48 +0100

nextcloud-desktop (4.0.3-20251210.142212.f8fc795d68-1.0~noble1) noble; urgency=medium

  * fix(accessmanager): manually handle redirects

 -- Jyrki Gadinger <nilsding@nilsding.org>  Wed, 10 Dec 2025 15:22:12 +0100

nextcloud-desktop (4.0.3-20251215.114637.26b9aa94ea-1.0~noble1) noble; urgency=medium

  * Merge pull request #9246 from nextcloud/backport/9245/stable-4.0

 -- Jyrki Gadinger <nilsding@nilsding.org>  Mon, 15 Dec 2025 12:46:37 +0100

nextcloud-desktop (4.0.3-20251215.094819.d8bcb111f3-1.0~noble1) noble; urgency=medium

  * chore: remove unused build scripts

 -- Jyrki Gadinger <nilsding@nilsding.org>  Mon, 15 Dec 2025 10:48:19 +0100

nextcloud-desktop (4.0.3-20251215.025106.f7c6bafaf1-1.0~noble1) noble; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Mon, 15 Dec 2025 02:51:06 +0000

nextcloud-desktop (4.0.3-20251214.024515.38832f7658-1.0~noble1) noble; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sun, 14 Dec 2025 02:45:15 +0000

nextcloud-desktop (4.0.3-20251213.024151.1ec2f0329b-1.0~noble1) noble; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sat, 13 Dec 2025 02:41:51 +0000

nextcloud-desktop (4.0.3-20251212.024446.20b1fce77f-1.0~noble1) noble; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Fri, 12 Dec 2025 02:44:46 +0000

nextcloud-desktop (4.0.3-20251211.213153.db7b8c92d6-1.0~noble1) noble; urgency=medium

  * Merge pull request #9232 from nextcloud/backport/9226/stable-4.0

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 11 Dec 2025 22:31:53 +0100

nextcloud-desktop (4.0.3-20251211.095420.afe8284a75-1.0~noble1) noble; urgency=medium

  * fix(creds): use user friendly auth errors.

 -- Camila Ayres <hello@camilasan.com>  Thu, 11 Dec 2025 10:54:20 +0100

nextcloud-desktop (4.0.3-20251211.095248.56d8fe4ee0-1.0~noble1) noble; urgency=medium

  * fix(abstractnetworkjob): make 503 error string more generic.

 -- Camila Ayres <hello@camilasan.com>  Thu, 11 Dec 2025 10:52:48 +0100

nextcloud-desktop (4.0.3-20251211.064631.7e3fa9148c-1.0~noble1) noble; urgency=medium

  * fix(wizard): Reset error label on status update

 -- Rello <Rello@users.noreply.github.com>  Thu, 11 Dec 2025 13:46:31 +0700

nextcloud-desktop (4.0.3-20251211.064503.242ec5c5fb-1.0~noble1) noble; urgency=medium

  * fix(creds): Handle server maintenance error in flow2auth

 -- Rello <Rello@users.noreply.github.com>  Thu, 11 Dec 2025 13:45:03 +0700

nextcloud-desktop (4.0.3-20251211.133955.b20ba388fa-1.0~noble1) noble; urgency=medium

  * Merge pull request #9228 from nextcloud/backport/9222/stable-4.0



## nextcloud-desktop 4.0.6~tux1

=== debian/changelog ===
nextcloud-desktop (4.0.6~tux1) noble; urgency=medium

  * new upstream version - 4.0.6
  * Changelog: https://github.com/nextcloud-releases/desktop/releases/tag/v4.0.6

 -- TUXEDO Computers <tux@tuxedocomputers.com>  Thu, 22 Jan 2026 19:05:50 +0000

nextcloud-desktop (4.0.5~tux1) noble; urgency=medium

  * new upstream version - 4.0.5
  * Changelog: https://github.com/nextcloud-releases/desktop/releases/tag/v4.0.5

 -- TUXEDO Computers <tux@tuxedocomputers.com>  Tue, 20 Jan 2026 11:05:31 +0000

=== debian/control ===
Source: nextcloud-desktop
Section: net
Priority: optional
Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Alf Gaida <agaida@siduction.org>,
Build-Depends: debhelper-compat (= 13), cmake (>= 3.16~),
Build-Depends-Arch: dh-sequence-qmldeps,
                    doxygen,
                    extra-cmake-modules (>= 5.240.0),
                    libcloudproviders-dev (>= 0.3.3),
                    libcmocka-dev,
                    libdbus-1-dev,
                    libinotify-dev [kfreebsd-any],
                    libkf6archive-dev,
                    libkf6coreaddons-dev,
                    libkf6guiaddons-dev,
                    libkf6kio-dev,
                    libp11-dev,
                    librsvg2-bin,
                    libsqlite3-dev (>= 3.9.0~),
                    libssl-dev (>= 1.1~),
                    pkgconf,
                    python3-sphinx,
                    qml6-module-qt5compat-graphicaleffects,
                    qml6-module-qtmultimedia,
                    qt6-5compat-dev,
                    qt6-base-dev (>= 6.7.0~),
                    qt6-declarative-dev (>= 6.7.0~),
                    qt6-svg-dev,
                    qt6-tools-dev,
                    qt6-webengine-dev [amd64 arm64 armhf i386],
                    qt6-websockets-dev,
                    qtkeychain-qt6-dev,
                    xauth <!nocheck>,
                    xvfb <!nocheck>,
                    zlib1g-dev,
Build-Depends-Indep: dh-sequence-sphinxdoc,
                     appstream,
                     jdupes,
                     libkf6archive-dev,
                     libkf6guiaddons-dev,
                     libp11-dev,
                     librsvg2-bin,
                     libsqlite3-dev (>= 3.9.0~),
                     libssl-dev (>= 1.1~),
                     pkgconf,
                     python3-sphinx,
                     qt6-5compat-dev,
                     qt6-base-dev (>= 6.7.0~),
                     qt6-declarative-dev (>= 6.7.0~),
                     qt6-svg-dev,
                     qt6-tools-dev,
                     qt6-websockets-dev,
                     qtkeychain-qt6-dev,
                     texlive-latex-base,
                     zlib1g-dev,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://nextcloud.com/install/#install-clients
Vcs-Browser: https://salsa.debian.org/owncloud-team/nextcloud-desktop
Vcs-Git: https://salsa.debian.org/owncloud-team/nextcloud-desktop.git

Package: nextcloud-desktop
Architecture: any
Depends: libnextcloudsync0t64 (= ${binary:Version}),
         libqt6sql6-sqlite,
         nextcloud-desktop-common,
         nextcloud-desktop-l10n,
         libqt6webenginecore6-bin,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: nextcloud-desktop-doc,
Description: Nextcloud folder synchronization tool
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 nextcloud-desktop provides the graphical client specialising in
 synchronizing with cloud storage provided by Nextcloud.

Package: caja-nextcloud
Architecture: all
Multi-Arch: foreign
Depends: caja,
         nextcloud-desktop (<< ${source:Version}.1~),
         nextcloud-desktop (>= ${source:Version}),
         nextcloud-desktop-common,
         python3-caja,
         python3-gi,
         ${misc:Depends},
Enhances: caja,
Description: Nextcloud integration for Caja
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 Caja Nextcloud is an extension that integrates the Nextcloud web service with
 your MATE Desktop.

Package: dolphin-nextcloud
Architecture: any
Multi-Arch: same
Section: kde
Depends: dolphin (>= 4:24.08.0),
         libnextcloudsync0t64 (= ${binary:Version}),
         nextcloud-desktop,
         ${misc:Depends},
         ${shlibs:Depends},
Enhances: dolphin,
Description: Nextcloud integration for Dolphin
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 Dolphin Nextcloud is an extension that integrates the Nextcloud web service
 with your Plasma Desktop (KDE).

Package: libnextcloudsync-dev
Architecture: any
Multi-Arch: same
Depends: libnextcloudsync0t64 (= ${binary:Version}), ${misc:Depends},
Section: libdevel
Description: Nextcloud folder synchronization - development files
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package contains the library development files.

Package: libnextcloudsync0t64
Provides: ${t64:Provides},
Replaces: libnextcloudsync0,
Breaks: libnextcloudsync0 (<< ${source:Version}),
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Section: libs
Description: Nextcloud folder synchronization - libraries
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package provides the library for nextcloud-desktop.

Package: nautilus-nextcloud
Architecture: all
Multi-Arch: foreign
Section: gnome
Depends: nautilus,
         nextcloud-desktop (<< ${source:Version}.1~),
         nextcloud-desktop (>= ${source:Version}),
         nextcloud-desktop-common,
         python3-nautilus,
         ${misc:Depends},
Suggests: nautilus-script-manager,
Enhances: nautilus,
Description: Nextcloud integration for Nautilus
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 Nautilus Nextcloud is an extension that integrates the Nextcloud web service
 with your GNOME Desktop.

Package: nemo-nextcloud
Architecture: all
Multi-Arch: foreign
Depends: nemo,
         nemo-python,
         nextcloud-desktop (<< ${source:Version}.1~),
         nextcloud-desktop (>= ${source:Version}),
         nextcloud-desktop-common,
         ${misc:Depends},
Enhances: nemo,
Description: Nextcloud integration for Nemo
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 Nemo Nextcloud is an extension that integrates the Nextcloud web service with
 your Cinnamon Desktop.

Package: nextcloud-desktop-cmd
Architecture: any
Depends: libnextcloudsync0t64 (= ${binary:Version}),
         libqt6sql6-sqlite,
         nextcloud-desktop-common,
         nextcloud-desktop-l10n,
         ${misc:Depends},
         ${shlibs:Depends},
Description: folder synchronization with an Nextcloud server - cmd client
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package provides the command line client specialising in
 synchronizing with cloud storage provided by Nextcloud.

Package: nextcloud-desktop-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Nextcloud folder synchronization - common data
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package provides data that is shared between different packages.

Package: nextcloud-desktop-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends},
Built-Using: ${sphinxdoc:Built-Using},
Section: doc
Description: Nextcloud folder synchronization - documentation
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package provides the documentation.

Package: nextcloud-desktop-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Section: localization
Description: Nextcloud folder synchronization - localization
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package provides the localization.
